@charset "UTF-8";
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 400;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Regular.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 500;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Medium.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 700;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Bold.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 900;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Black.woff);
}
@font-face {
  font-family: "M PLUS Rounded 1c";
  font-weight: 900;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Black.woff);
}
.c-news-list__item + .c-news-list__item {
  margin-top: 16px;
}
@media only screen and (max-width: 1023px) {
  .c-news-list__item + .c-news-list__item {
    margin-top: 8px;
  }
}

.c-news-list__link {
  display: flex;
  align-items: center;
  padding: 20px 48px;
  background: #F5F5F5;
  border-radius: 40px;
}
@media only screen and (max-width: 1023px) {
  .c-news-list__link {
    flex-wrap: wrap;
    padding: 20px;
    border-radius: 24px;
  }
}
@media only screen and (min-width: 768px) {
  .c-news-list__link:hover::before {
    right: 16px;
  }
}
@media only screen and (min-width: 768px) {
  .c-news-list__link::before {
    transition: all 0.3s;
  }
}
@media only screen and (max-width: 767px) {
  .c-news-list__link::before {
    content: none;
  }
}

.c-news-list__category {
  border-radius: 30px;
  padding: 6px 20px;
  min-width: 150px;
  font-size: 14px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 20px;
  background: #A9CE52;
}
.c-news-list__category.--topics {
  background: #00B8FF;
}
.c-news-list__category.--notice {
  background: #FF695B;
}
.c-news-list__category.--exercise {
  background: #FFC72D;
}

.c-news-list .c-news-list__title {
  margin-left: 16px;
}
@media only screen and (max-width: 1023px) {
  .c-news-list .c-news-list__title {
    width: 100%;
    margin-left: 0;
    margin-top: 18px;
  }
}

/*.c-map {
  position: relative;
  width: -moz-fit-content;
  width: fit-content;
  margin: 0 auto;
}
@media only screen and (max-width: 1023px) {
  .c-map {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 16px;
  }
}

@media only screen and (max-width: 1023px) {
  .c-map__image,
  .c-map__map {
    display: none;
  }
}

.c-map__block {
  padding: 10px 8px 8px;
  background: #ffffff;
  border-radius: 8px;
  position: absolute;
  border: 2px solid #00B8FF;
  max-width: 320px;
  height: -moz-fit-content;
  height: fit-content;
}
@media only screen and (max-width: 1023px) {
  .c-map__block {
    position: relative;
    width: 100%;
    max-width: 368px;
    padding: 22px 20px 20px;
    border-radius: 24px;
  }
}
@media only screen and (min-width: 768px) {
  .c-map__block .c-map__link:hover {
    background: #00B8FF;
  }
}

.c-map__block--1 {
  right: -9.3%;
  top: 27.8%;
}
@media only screen and (max-width: 1023px) {
  .c-map__block--1 {
    top: unset;
    right: unset;
  }
}

.c-map__block--2 {
  bottom: 14.2%;
  right: -27.9%;
  border: 2px solid #A9CE52;
}
@media only screen and (max-width: 1279px) {
  .c-map__block--2 {
    max-width: 250px;
    right: -18%;
  }
}
@media only screen and (max-width: 1150px) {
  .c-map__block--2 {
    max-width: 170px;
    right: -9%;
  }
}
@media only screen and (max-width: 1023px) {
  .c-map__block--2 {
    max-width: 368px;
    bottom: unset;
    right: unset;
  }
}
.c-map__block--2 .c-map__link {
  background: #f1f7e3;
}
@media only screen and (min-width: 768px) {
  .c-map__block--2 .c-map__link:hover {
    background: #A9CE52;
  }
}

.c-map__block--3 {
  left: 50%;
  top: 39%;
  transform: translateX(-50%);
  border: 2px solid #FFC72D;
}
@media only screen and (max-width: 1023px) {
  .c-map__block--3 {
    top: unset;
    left: unset;
    transform: unset;
  }
}
.c-map__block--3 .c-map__link {
  background: #fff6dd;
}
@media only screen and (min-width: 768px) {
  .c-map__block--3 .c-map__link:hover {
    background: #FFC72D;
  }
}

.c-map__block--4 {
  bottom: -5.7%;
  right: 14%;
  border: 2px solid #FE993A;
}
@media only screen and (max-width: 1023px) {
  .c-map__block--4 {
    bottom: unset;
    right: unset;
  }
}
.c-map__block--4 .c-map__link {
  background: #ffefdf;
}
@media only screen and (min-width: 768px) {
  .c-map__block--4 .c-map__link:hover {
    background: #FE993A;
  }
}

.c-map__block--5 {
  top: 54%;
  left: 18.7%;
  border: 2px solid #FF695B;
}
@media only screen and (max-width: 1023px) {
  .c-map__block--5 {
    top: unset;
    left: unset;
  }
}
.c-map__block--5 .c-map__link {
  background: #ffe7e4;
}
@media only screen and (min-width: 768px) {
  .c-map__block--5 .c-map__link:hover {
    background: #FF695B;
  }
}

.c-map__block--6 {
  bottom: 25.1%;
  left: -27.9%;
  border: 2px solid #B295F9;
}
@media only screen and (max-width: 1300px) {
  .c-map__block--6 {
    left: -23%;
  }
}
@media only screen and (max-width: 1279px) {
  .c-map__block--6 {
    max-width: 168px;
    left: -6%;
  }
}
@media only screen and (max-width: 1023px) {
  .c-map__block--6 {
    max-width: 368px;
    bottom: unset;
    left: unset;
  }
}
.c-map__block--6 .c-map__link {
  background: #f3eefe;
}
@media only screen and (min-width: 768px) {
  .c-map__block--6 .c-map__link:hover {
    background: #B295F9;
  }
}

.c-map__link-wrap {
  display: flex;
  flex-wrap: wrap;
  gap: 4px;
  margin-top: 8px;
}

.c-map__label {
  font-weight: bold;
  text-align: center;
}

.c-map__link {
  background: #F5F5FF;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 72px;
  height: 32px;
  border-radius: 4px;
  opacity: 1;
  transition: all 0.3s;
}*/
/*スライダー*/
.c-slide__pagination {
  display: flex;
  align-items: center;
  margin-top: 32px;
}

.c-slide__pagination--center {
  justify-content: center;
}

.c-slide__title {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  margin-top: 18px;
}

.swiper-button-prev,
.swiper-button-next {
  position: relative;
  left: unset;
  right: unset;
  top: unset;
  margin-top: unset;
  width: 32px;
  height: 32px;
  background: #A9CE52;
  border-radius: 50%;
  background-image: url("../media/images/common/link_btn_green.svg");
  background-size: contain;
  opacity: 1;
  transition: all 0.3s;
}
@media only screen and (min-width: 768px) {
  .swiper-button-prev:hover,
  .swiper-button-next:hover {
    opacity: 0.7;
  }
}
.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}
@media only screen and (max-width: 767px) {
  .swiper-button-prev,
  .swiper-button-next {
    width: 24px;
    height: 24px;
  }
}

.swiper-button-prev {
  margin-right: 16px;
  transform: rotate(180deg);
}
@media only screen and (max-width: 767px) {
  .swiper-button-prev {
    margin-right: 12px;
  }
}

.swiper-button-next {
  margin-left: 16px;
}
@media only screen and (max-width: 767px) {
  .swiper-button-next {
    margin-left: 12px;
  }
}

.swiper-pagination {
  position: relative;
  bottom: unset !important;
  width: auto !important;
}

/* ページネーションの基本スタイル */
.swiper-pagination-bullet {
  background-color: transparent; /* 背景色を透明に */
  background-image: url("../media/images/common/star_image_gray.svg");
  background-repeat: no-repeat;
  background-size: contain;
  border-radius: unset; /* これがないと画像が欠ける */
  height: auto !important;
  opacity: 1; /* 画像の透過を無くす */
  width: 24px !important;
  margin: 0 16px !important;
  aspect-ratio: 24/23 !important;
  opacity: 1;
}
.swiper-pagination-bullet:first-child {
  margin-left: 0 !important;
}
.swiper-pagination-bullet:last-child {
  margin-right: 0 !important;
}
@media only screen and (max-width: 767px) {
  .swiper-pagination-bullet {
    margin: 0 6px !important;
    width: 16px !important;
  }
}

/* 選択されているページネーション */
.swiper-pagination-bullet-active {
  background-image: url("../media/images/common/star_image.svg");
}

/* 画像サイズ調整 */
.swiper-slide img {
  height: auto;
  width: 100%;
  border-radius: 24px;
}

.p-home-section {
  padding: 120px 0;
}
@media only screen and (max-width: 767px) {
  .p-home-section {
    padding: 64px 0;
  }
}

.p-home-section--underline {
  border-bottom: 8px solid #F2F2F2;
}

.p-news {
  padding-top: 106px;
}
@media only screen and (max-width: 767px) {
  .p-news {
    padding-top: 56px;
  }
}

.p-news__inner {
  display: flex;
  justify-content: space-between;
  gap: 116px;
}
@media only screen and (max-width: 1400px) {
  .p-news__inner {
    gap: 60px;
  }
}
@media only screen and (max-width: 1279px) {
  .p-news__inner {
    flex-direction: column;
    gap: 40px;
  }
}

.p-news__inner-left {
  flex-shrink: 0;
  width: 210px;
}
@media only screen and (max-width: 1279px) {
  .p-news__inner-left {
    width: auto;
    margin: 0 auto;
  }
}
@media only screen and (max-width: 767px) {
  .p-news__inner-left {
    max-width: 322px;
  }
}

.p-news__inner-right {
  width: 100%;
  margin-top: 16px;
}

.p-news__title {
  line-height: 1.33;
}

.p-news__category-list {
  margin-top: 42px;
}
@media only screen and (max-width: 1279px) {
  .p-news__category-list {
    display: grid;
    grid-template-columns: repeat(4, auto);
    gap: 20px 58px;
  }
}
@media only screen and (max-width: 767px) {
  .p-news__category-list {
    grid-template-columns: repeat(2, auto);
    gap: 20px 58px;
  }
}
@media only screen and (max-width: 480px) {
  .p-news__category-list {
    gap: 20px;
  }
}

.p-news__category-item + .p-news__category-item {
  margin-top: 18px;
}
@media only screen and (max-width: 1279px) {
  .p-news__category-item + .p-news__category-item {
    margin-top: 0;
  }
}

@media only screen and (min-width: 768px) {
  .p-news__category-link {
    opacity: 1;
    transition: all 0.3s;
  }
}
@media only screen and (min-width: 768px) {
  .p-news__category-link:hover {
    opacity: 0.7;
  }
}

.p-news__category-text {
  font-weight: bold;
}

.p-news__link-wrap {
  margin-top: 32px;
  text-align: right;
}

.p-news__link {
  font-size: 18px;
  font-weight: bold;
}

.p-course {
  padding-bottom: 0;
}

.p-course__btn {
  margin-top: 56px;
}

.p-about {
  padding-top: 104px;
}
@media only screen and (max-width: 767px) {
  .p-about {
    padding-top: 80px;
  }
}

.p-about__inner {
  background: #E3EFCA;
}

.p-map {
  padding-bottom: 0;
}
.p-map__inner {
  position: relative;
}

.p-map__head {
  position: absolute;
  text-align: left;
  top: 0;
}
@media only screen and (max-width: 1023px) {
  .p-map__head {
    position: relative;
    top: unset;
    text-align: center;
  }
}

.p-map__title-wrap {
  margin: 0;
}

@media only screen and (max-width: 1023px) {
  .p-map__map {
    margin-top: 32px;
  }
}

.p-instructor {
  padding-top: 194px;
}
@media only screen and (max-width: 1023px) {
  .p-instructor {
    padding-top: 120px;
  }
}
@media only screen and (max-width: 767px) {
  .p-instructor {
    padding-top: 66px;
  }
}

.p-instructor__inner {
  display: flex;
  gap: 58px;
}
@media only screen and (max-width: 1279px) {
  .p-instructor__inner {
    flex-direction: column;
    align-items: center;
    gap: 0;
  }
}

.p-instructor__content {
  flex-shrink: 0;
  width: 400px;
}
@media only screen and (max-width: 1279px) {
  .p-instructor__content {
    max-width: 100%;
    width: 100%;
    display: contents;
  }
}

@media only screen and (max-width: 1279px) {
  .p-instructor__head {
    order: 1;
  }
}

@media only screen and (max-width: 1279px) {
  .p-instructor__text {
    text-align: center;
  }
}

.p-instructor__btn {
  margin-top: 56px;
}
@media only screen and (max-width: 1279px) {
  .p-instructor__btn {
    order: 3;
    width: 100%;
  }
}
.p-instructor__image-wrap {
  margin-top: 32px;
  text-align: center;
}
@media only screen and (max-width: 1279px) {
  .p-instructor__image-wrap {
    display: none;
  }
}

.p-instructor__slide {
  max-width: 760px;
  overflow: hidden;
}
@media only screen and (max-width: 1279px) {
  .p-instructor__slide {
    max-width: 100%;
    order: 2;
    margin-top: 32px;
  }
}

.p-interview__list {
  margin-top: 66px;
}
@media only screen and (max-width: 767px) {
  .p-interview__list {
    margin-top: 32px;
  }
}

.p-exercise__list {
  margin-top: 66px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px 40px;
}
@media only screen and (max-width: 767px) {
  .p-exercise__list {
    grid-template-columns: auto;
  }
}
.p-exercise li:nth-child(1) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_blue.png.webp");
}
.p-exercise li:nth-child(1) .p-exercise__image-title {
  background: #5BA5DC;
}
.p-exercise li:nth-child(2) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_orange.png.webp");
}
.p-exercise li:nth-child(2) .p-exercise__image-title {
  background: #ED721F;
}
.p-exercise li:nth-child(3) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_pink.png.webp");
}
.p-exercise li:nth-child(3) .p-exercise__image-title {
  background: #DF5A8A;
}
.p-exercise li:nth-child(4) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_yellow.png.webp");
}
.p-exercise li:nth-child(4) .p-exercise__image-title {
  background: #FFB405;
}
.p-exercise__link:hover .p-exercise__image {
  transform: scale(1.1);
}
@media only screen and (max-width: 767px) {
  .p-exercise__link {
    display: flex;
    align-items: center;
    gap: 24px;
  }
}
.p-exercise__image-wrap {
  position: relative;
}
@media only screen and (max-width: 767px) {
  .p-exercise__image-wrap {
    max-width: 50%;
    width: 100%;
    flex-shrink: 0;
  }
}
@media only screen and (max-width: 480px) {
  .p-exercise__image-wrap {
    max-width: 36%;
    border-radius: 8px;
  }
}
.p-exercise__image-wrap::before {
  position: absolute;
  content: "";
  background-repeat: no-repeat;
  background-size: contain;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}
.p-exercise__image-title {
  color: #ffffff;
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-size: 40px;
  font-weight: 900;
  position: absolute;
  top: 32px;
  padding: 12px;
  text-align: center;
  border-radius: 24px 24px 0 0;
  z-index: 1;
  width: 556px;
  left: 50%;
  transform: translateX(-50%);
  line-height: 1.4;
}
@media only screen and (max-width: 1440px) {
  .p-exercise__image-title {
    top: 7%;
    width: calc(100% - 4.4vw);
    border-radius: 2vw 2vw 0 0;
  }
}
@media only screen and (max-width: 1279px) {
  .p-exercise__image-title {
    font-size: 24px;
  }
}
@media only screen and (max-width: 767px) {
  .p-exercise__image-title {
    font-size: 2.4vw;
  }
}
@media only screen and (max-width: 480px) {
  .p-exercise__image-title {
    font-size: 2vw;
    width: calc(100% - 3.4vw);
    padding: 1.3vw 0;
    border-radius: 1.4vw 1.4vw 0 0;
    top: 6%;
  }
}
.p-exercise__image {
  position: relative;
  padding: min(2.3vw, 32px);
  width: 100%;
}
@media only screen and (min-width: 768px) {
  .p-exercise__image {
    transition: all 0.5s;
  }
}
@media only screen and (max-width: 767px) {
  .p-exercise__image {
    width: 100%;
    padding: 5%;
  }
}
.p-exercise__title {
  font-weight: bold;
  font-size: 24px;
  margin-top: 26px;
  text-align: center;
}
@media only screen and (max-width: 767px) {
  .p-exercise__title {
    font-size: 18px;
    margin-top: 0;
    text-align: unset;
  }
}
.p-exercise__btn {
  margin-top: 56px;
}/*# sourceMappingURL=home.css.map */


/*20250321追記*/
.p-map__link{
	margin-top: 16px;
	font-size: 18px;
    font-weight: bold;
	display: inline-block;
}

/*20250421追記 アニメーション*/
.p-instructor {
	padding-bottom: 160px;
}

.p-instructor__animation {
	margin: 32px auto 0;
}
@media only screen and (max-width: 1279px) {
	.p-instructor__animation {
		display: none;
	}
}

.p-exercise li:nth-child(1) .p-exercise__link:hover .p-exercise__image-wrap::before {
	background-image: url("../media/images/common/exercise_frame_blue_hover.png.webp");
}
.p-exercise li:nth-child(2) .p-exercise__link:hover .p-exercise__image-wrap::before {
	background-image: url("../media/images/common/exercise_frame_orange_hover.png.webp");
}
.p-exercise li:nth-child(3) .p-exercise__link:hover .p-exercise__image-wrap::before {
	background-image: url("../media/images/common/exercise_frame_pink_hover.png.webp");
}
.p-exercise li:nth-child(4) .p-exercise__link:hover .p-exercise__image-wrap::before {
	background-image: url("../media/images/common/exercise_frame_yellow_hover.png.webp");
}
.p-interview__head-title-wrap{
	position: relative;
}
@media only screen and (min-width: 768px) {
	.p-map__title-wrap {
		margin: 0;
	}
}
.p-interview__animation1 {
	position: absolute;
	top: -200px;
	//right: -188px;
	transform: rotateY(180deg);
	right: -310px;
}
@media only screen and (max-width: 1600px) {
	.p-interview__animation1 {
		//right: -90px;
	}
}
@media only screen and (max-width: 1440px) {
	.p-interview__animation1 {
		//right: -68px;
	}
}
@media only screen and (max-width: 1279px) {
	.p-interview__animation1 {
		max-width: 300px;
		max-height: 300px;
		top: -180px;
	}
}
@media only screen and (max-width: 767px) {
	.p-interview__animation1 {
		max-width: 250px;
		max-height: 250px;
		right: -150px;
	}
}
@media only screen and (max-width: 1279px) {
	.p-interview__animation1 canvas, .p-interview__animation1 div {
		max-width: 300px;
		max-height: 300px;
	}
}
@media only screen and (max-width: 767px) {
	.p-interview__animation1 canvas, .p-interview__animation1 div {
		max-width: 250px;
		max-height: 250px;
	}
}

.p-interview__animation2{
	position: absolute;
	top: -200px;
	//left: 0;
	left: -250px;
}
.p-interview__animation2 canvas, .p-interview__animation2 div {
	max-width: 220px;
	max-height: 220px;
}
@media only screen and (max-width: 1279px) {
	.p-interview__animation2 {
		max-width: 180px;
		max-height: 180px;
		top: -166px;
	}
}
@media only screen and (max-width: 767px) {
	.p-interview__animation2 {
		max-width: 140px;
		max-height: 140px;
		left: -86px;
	}
}
@media only screen and (max-width: 1279px) {
	.p-interview__animation2 canvas, .p-interview__animation2 div {
		max-width: 180px;
		max-height: 180px;
	}
}
@media only screen and (max-width: 767px) {
	.p-interview__animation2 canvas, .p-interview__animation2 div {
		max-width: 140px;
		max-height: 140px;
	}
}
.p-instructor {
	padding-bottom: 200px;
}
@media only screen and (max-width: 767px) {
	.p-instructor {
		padding-bottom: 160px;
	}
}